#!/usr/bin/env python
# Copyright 2015 Pure Storage, Inc.  All rights reserved.

import os
import subprocess

try:
    VCOPS_BASE_DIR = os.environ['VCOPS_BASE']
    print('VCOPS_BASE DIR: "{0}"'.format(VCOPS_BASE_DIR))
except KeyError, e:
    print('Failed to get a value for VCOPS_BASE, exception: {0}'.format(str(e)))
    sys.exit(1)

startingDir = os.getcwd()
VCOPS_CONF_LOCATION = os.path.join('user', 'plugins', 'inbound', 'PureStorageAdapter', 'conf')
VCOPS_CONF_DIRECTORY = os.path.join(VCOPS_BASE_DIR, VCOPS_CONF_LOCATION)
VCOPSCLI_DIRECTORY = os.path.join(VCOPS_BASE_DIR, 'tools', 'vcopscli')
VCOPS_LOG4J_PROPERTIES = os.path.join(VCOPS_BASE_DIR, 'user', 'conf', 'collector', 'log4j.properties')

def update_log4j_config():
    PURESTORAGE_LOG4J = 'log4j.logger.com.purestorage.vrops.adapter.PureStorageAdapter'

    # Check log4j.properties file, no change required if PureStorageAdapter thread is already defined before.
    with open(VCOPS_LOG4J_PROPERTIES, "r+") as fp:
        for line in fp:
            if (line.startswith(PURESTORAGE_LOG4J)):
                print("No change to existing PureStorageAdapter log4j configuration")
                return
        # Reached the end of the file but PureStorageAdapter thread was not found. Append it to the end of the file
        fp.writelines("%s=INFO" % PURESTORAGE_LOG4J)
        print("Added PureStorageAdapter log4j configuration")


print("Post install script for Pure Storage Adapter")
print("Importing Pure Storage Adapter dashboards")
update_log4j_config()
print("Successfully completed post install script for Pure Storage Adapter.")
